
static char RcsId[] = "$Header$";

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define X0 0.0
#define Xn 2.0
double f(double x);

main(int argc, char **argv)
{
  int n, i, j;
  double d, x, S;
  
  if (argc != 2
   || sscanf(argv[1], "%d", &n) != 1) {
      fprintf(stderr, "usage: %s N\n", argv[0]);
      exit(1);
  }

  n = n/2*2;
  d = (Xn-X0)/(double)n;

  x = X0;
  S = f(x);
  for (i=1; i<=n; i+=2) {
    x = X0+d*i;
    S += 4.0*f(x);
    x = X0+d*(i+1);
    S += 2.0*f(x);
  }
  S -= f(x);
  S = S*d/3.0;

  /* ɽ */
  printf("S=%27.20e\n", S);
  exit(0);
}

double f(double x)
{
  return (sqrt(4.0 - x*x));
}

